Bug 253691 - graphics/py-graph-core: rename to graphics/py-pygraph and update to latest version
Summary: graphics/py-graph-core: rename to graphics/py-pygraph and update to latest ve...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Sivachenko
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-02-19 14:17 UTC by Emanuel Haupt
Modified: 2021-02-19 14:34 UTC (History)
0 users

See Also:
demon: maintainer-feedback+


Attachments
Patch to rename/update port including ports/graphics/Makefile, ports/MOVED (5.83 KB, patch)
2021-02-19 14:17 UTC, Emanuel Haupt
no flags Details | Diff
Poudriere build log (32.22 KB, text/plain)
2021-02-19 14:21 UTC, Emanuel Haupt
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Emanuel Haupt freebsd_committer 2021-02-19 14:17:58 UTC
Created attachment 222636 [details]
Patch to rename/update port including ports/graphics/Makefile, ports/MOVED

This is going to get complicated, please bare with me.

The version of graphics/py-graph-core is that of:

https://pypi.org/project/python-graph-core/

That version is from Jul 14, 2012.

Unfortunately it doesn't work correctly with modern python versions.

The project was forked as:

https://pypi.org/project/pygraph/

However, that version has also not been updated since May 8, 2017.

But wait there's more... :-)

Some good soul forked it yet again and fixed it to work properly with modern python versions:

https://github.com/jciskey/pygraph

Therefore I suggest to:

rename graphics/py-graph-core to graphics/py-pygraph per policy (https://wiki.freebsd.org/Python/PortsPolicy). The port does currently not have any ports depending on it.

Update to the version on Github.

I am personally interested in this port because I would like to re-add one of my DEPRECATED ports that need this version of pygraph. I wouldn't mind taking over maintainership if you don't want the port anymore :-)
Comment 1 Emanuel Haupt freebsd_committer 2021-02-19 14:21:57 UTC
Created attachment 222637 [details]
Poudriere build log
Comment 2 Dmitry Sivachenko freebsd_committer 2021-02-19 14:23:55 UTC
Please proceed (including maintainership change).

Thanks!
Comment 3 Emanuel Haupt freebsd_committer 2021-02-19 14:26:19 UTC
Thank you!
Comment 4 commit-hook freebsd_committer 2021-02-19 14:33:54 UTC
A commit references this bug:

Author: ehaupt
Date: Fri Feb 19 14:33:03 UTC 2021
New revision: 566069
URL: https://svnweb.freebsd.org/changeset/ports/566069

Log:
  Rename graphics/py-graph-core to graphics/py-pygraph. The new version works
  correctly with python3. Use Github instead of PyPy for it has newer, unbreaking
  patches. Take maintainership.

  PR:		253691
  Approved by:	demon (maintainer)

Changes:
  head/MOVED
  head/graphics/Makefile
  head/graphics/py-graph-core/
  head/graphics/py-pygraph/
  head/graphics/py-pygraph/Makefile
  head/graphics/py-pygraph/distinfo
  head/graphics/py-pygraph/pkg-descr
Comment 5 Emanuel Haupt freebsd_committer 2021-02-19 14:34:56 UTC
Committed.